Just a reminder the new version of this board coming in May 2019 will not require the Tapatalk App. The new version is "responsive" and will conform to the device you are using. More info in May after conversion.